Bug 1020815 - Packstack changes logging for Horizon
Packstack changes logging for Horizon
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 06:44 EDT by Matthias Runge
Modified: 2015-01-19 04:50 EST (History)
3 users (show)

See Also:
Fixed In Version: python-django-horizon-2013.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-19 04:50:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-10-18 06:44:25 EDT
Description of problem:

Packstack overwrites the config for Horizon:
'file': {
            'level': 'DEBUG',
            'class': 'logging.FileHandler',
            'filename': '/var/log/horizon/horizon.log',
        },

This dir does not exist, or if it exists, it's owned by root, where apache may not write.

So, please when creating that dir, please chown it to apache:apache. thanks.


Version-Release number of selected component (if applicable):
rpm -q openstack-packstack
openstack-packstack-2013.2.1-0.10.dev763.el6.noarch

Without changing ownership of this file, horizon is not usable at all.
Comment 1 Matthias Runge 2013-10-18 07:25:10 EDT
ok, the commit with the change from above was made on Dec 11 2012.

I'll change the packages to take care of that dir.

Note You need to log in before you can comment on or make changes to this bug.